package cz.nic.tablexia.bus.event;

import cz.nic.tablexia.bus.ApplicationBus;
import cz.nic.tablexia.sync.RestSynchronizationService;

/**
 * Created by frantisek on 18.1.16.
 */
public class StartIncrementalSynchronizationEvent implements ApplicationBus.ApplicationEvent {

    private final long userId;

    public StartIncrementalSynchronizationEvent(long userId) {
        this.userId = userId;
    }

    public long getUserId() {
        return userId;
    }

    public RestSynchronizationService.SynchronizationType getType() {
        return RestSynchronizationService.SynchronizationType.INCREMENT;
    }
}
