package cz.nic.tablexia.game.common;

import java.util.Random;

/**
 * Created by lhoracek on 6/23/15.
 */
public class TablexiaRandom extends Random {
    private final long seed;

    public TablexiaRandom(long seed) {
        super(seed);
        this.seed = seed;
    }

    public TablexiaRandom() {
        this(System.currentTimeMillis());
    }

    public long getSeed() {
        return seed;
    }

    @Override
    public String toString() {
        return "Random[seed:" + seed + "]";
    }
}
