package cz.nic.tablexia.game.games.kidnapping.actors;

import com.badlogic.gdx.math.Rectangle;
import com.badlogic.gdx.math.Vector2;
import com.badlogic.gdx.scenes.scene2d.Group;

import cz.nic.tablexia.game.games.kidnapping.Properties;

/**
 * Created by lhoracek on 9/2/15.
 */
public class ParentCullingGroup extends Group {

    @Override
    protected void positionChanged() {
        super.positionChanged();
        Vector2 start = new Vector2(0, 0);
        parentToLocalCoordinates(start);
        Vector2 end = new Vector2(getParent().getWidth(), getParent().getHeight());
        parentToLocalCoordinates(end);

        setCullingArea(new Rectangle(start.x - (Properties.TILE_BASE_WIDTH * 2), start.y - (Properties.TILE_BASE_HEIGHT * 2), end.x - start.x + (Properties.TILE_BASE_WIDTH * 4), end.y - start.y + (Properties.TILE_BASE_HEIGHT * 4)));
    }
}
