package cz.nic.tablexia.game.games.kidnapping.model;

/**
 * Created by lhoracek on 5/21/15.
 */
public enum Direction {
    NW, NE, SE, SW;

    public Direction getOppositeDirection() {
        switch (this) {
            case NE:
                return Direction.SW;
            case NW:
                return Direction.SE;
            case SE:
                return Direction.NW;
            case SW:
                return Direction.NE;
            default:
                throw new IllegalArgumentException("Wrong direction argument");
        }
    }
}
