package cz.nic.tablexia.game.games.pursuit.action;

import com.badlogic.gdx.scenes.scene2d.actions.MoveToAction;

import cz.nic.tablexia.util.Log;

/**
 * Created by Václav Tarantík on 26.10.15.
 */
public class MyMoveToAction extends MoveToAction implements Interruptable {
    private boolean interrupted;

    public MyMoveToAction(float x, float y, float duration){
        setPosition(x, y);
        setDuration(duration);
    }
    @Override
    protected void update(float percent) {
        if(!interrupted){
            super.update(percent);
        }
    }

    private void setInterrupted(boolean interrupted) {
        this.interrupted = interrupted;
    }

    @Override
    public void interrupt() {
        Log.info(getClass(),"Interrupting action");
        setInterrupted(true);
    }
}
