package cz.nic.tablexia.game.games.pursuit.assets;

/**
 * Created by Václav Tarantík on 18.6.15.
 */
public class PursuitAssets {

    public static final String SOUNDS_PATH      = "common/sfx/";
    public static final String MP3_EXTENSION    = ".mp3";
    public static final String MAPS_DIR         = "excluded/";
    public static final String VEHICLES_DIR     = "vehicles/";
    public static final String BACKGROUND       = "background2";

    public static final String FINISH_FLAG = VEHICLES_DIR + "flag";

    //PIECES SOUNDS
    public static final String SOUND_ROTATION = SOUNDS_PATH+"rotate"+MP3_EXTENSION;
    public static final String SOUND_SWITCH = SOUNDS_PATH+"switch"+MP3_EXTENSION;
    public static final String SOUND_LIFT = SOUNDS_PATH+"lift"+MP3_EXTENSION;

	//VEHICLE SOUNDS
	public static final String[] SOUNDS_CAR			= {	SOUNDS_PATH + "car_1" + MP3_EXTENSION,
														SOUNDS_PATH + "car_2" + MP3_EXTENSION,
														SOUNDS_PATH + "car_3" + MP3_EXTENSION,
														SOUNDS_PATH + "car_4" + MP3_EXTENSION,
														};

	public static final String[] SOUNDS_TRAIN		= { SOUNDS_PATH + "train_1" + MP3_EXTENSION,
														SOUNDS_PATH + "train_2" + MP3_EXTENSION
														};

	public static final String[] SOUNDS_BOAT		= { SOUNDS_PATH + "boat_1" + MP3_EXTENSION};

	public static final String[] SOUNDS_MOTORCYCLE	= { SOUNDS_PATH + "motorcycle_1" + MP3_EXTENSION};

	//OTHER SOUNDS
    public static final String SOUND_HELP =  SOUNDS_PATH+"help"+MP3_EXTENSION;
    public static final String VICTORYSPEECH_NOSTAR =  SOUNDS_PATH+"result_0"+MP3_EXTENSION;
    public static final String VICTORYSPEECH_ONESTAR =  SOUNDS_PATH+"result_1"+MP3_EXTENSION;
    public static final String VICTORYSPEECH_TWOSTAR =  SOUNDS_PATH+"result_2"+MP3_EXTENSION;
    public static final String VICTORYSPEECH_THREESTAR =  SOUNDS_PATH+"result_3"+MP3_EXTENSION;

    //TEXT+
    public static final String TEXT_HELP = "game_pronasledovani_loadingtext";
    public static final String VICTORYTEXT_NOSTAR = "game_pronasledovani_victorytext_gameover";
    public static final String VICTORYTEXT_ONESTAR = "game_pronasledovani_victorytext_onestar";
    public static final String VICTORYTEXT_TWOSTARS = "game_pronasledovani_victorytext_twostars";
    public static final String VICTORYTEXT_THREESTARS = "game_pronasledovani_victorytext_threestars";

}
