package cz.nic.tablexia.game.games.shooting_range;

/**
 * Created by lhoracek on 6/22/15.
 */
public class Properties {

    public static final String SCORE_TOTAL = "score_total";
    public static final String SCORE_HITS = "score_hits";
    public static final String SCORE_MISSES = "score_misses";
    public static final String SCORE_ERRORS = "score_errors";
    public static final String SCORE_BAD_BOXES = "score_bad_boxes";
    public static final String SCORE_GOOD_BOXES = "score_good_boxes";

    // GAME SPEED AND TIME
    public static final float ADD_TIME = 5f;
    public static final float SUB_TIME = -5f;

    public static final float GAME_SPEED_FAST    = 2.0f;
    public static final float GAME_SPEED_NORMAL  = 1f;
    public static final float GAME_SPEED_SLOW    = 0.5f;
    public static final long  GAME_SPEED_TIMEOUT = 5000;

     // TODO fix expiration of game speed change

    public static final int GAME_TIME    = 60;
    public static final int WARNING_TIME = 5;

    // TARGET GENERATOR
    public static final float EASY_BOX_PROBABILITY   = 0.05f;                                // 5% krabic
    public static final float MEDIUM_BOX_PROBABILITY = 0.05f;                                // 5% krabic
    public static final float HARD_BOX_PROBABILITY   = 0.1f;                                 // 10% krabic

    public static final float EASY_GOOD_PROBABILITY   = 0.7f;
    public static final float MEDIUM_GOOD_PROBABILITY = 0.5f; // TODO check
    public static final float HARD_GOOD_PROBABILITY   = 0.3f;

    // RESULTS
    public static final int[] CUPS_EASY   = {25, 45, 75};
    public static final int[] CUPS_MEDIUM = {20, 40, 70};
    public static final int[] CUPS_HARD   = {20, 35, 60};

    public static final String MFX_PATH = "common/mfx/";

    static final String[] RESULT_SOUNDS = new String[]{ MFX_PATH + "result0.mp3",
                                                        MFX_PATH + "result1.mp3",
                                                        MFX_PATH + "result2.mp3",
                                                        MFX_PATH + "result3.mp3"};

    static final String[] RESULT_TEXT   = new String[]{ "game_shootingrange_result_0",
                                                        "game_shootingrange_result_1",
                                                        "game_shootingrange_result_2",
                                                        "game_shootingrange_result_3"};

    static final String RESULT_TEXT_SUMMARY = "game_shootingrange_stats";
}
