package cz.nic.tablexia.loader;

import com.badlogic.gdx.graphics.Texture;

public class TablexiaTextureManager extends TablexiaAbstractFileManager {

    public TablexiaTextureManager() {
        super(AssetsStorageType.EXTERNAL);
    }

    public TablexiaTextureManager(AssetsStorageType storageType) {
        super(storageType);
    }

    public void loadTexture(String textureName) {
        loadAsset(textureName, Texture.class);
    }

    public Texture getTexture(String textureName) {
        return getAsset(textureName, Texture.class);
    }
}
