package cz.nic.tablexia.menu;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.scenes.scene2d.ui.Image;

import cz.nic.tablexia.loader.TablexiaAtlasManager;
import cz.nic.tablexia.loader.application.ApplicationAtlasManager;

/**
 * MainMenu dimmer
 *
 * @author Matyáš Latner
 */
public class MenuDimmer extends Image {

    public static final  Color DIMMER_COLOR               = TablexiaAtlasManager.COLOR_OVERLAY;

    public MenuDimmer(float width, float height) {
        super(ApplicationAtlasManager.getInstance().getColorTextureRegion(DIMMER_COLOR));
        setSize(width, height);
    }
}
