package cz.nic.tablexia.screen.encyclopedia.widget;

import com.badlogic.gdx.scenes.scene2d.ui.HorizontalGroup;

import cz.nic.tablexia.util.Point;

/**
 * Created by Václav Tarantík on 24.8.15.
 */
public class ResizableHorizontalGroup extends HorizontalGroup{
    private Point size;

    public ResizableHorizontalGroup(Point size){
        this.size = size;
    }

    @Override
    public float getPrefWidth() {
        return size.x;
    }

    @Override
    public float getPrefHeight() {
        return size.y;
    }
}
