package cz.nic.tablexia.screen.encyclopedia.widget;

import com.badlogic.gdx.scenes.scene2d.ui.VerticalGroup;

import cz.nic.tablexia.util.Point;

/**
 * Created by Václav Tarantík on 21.8.15.
 */
public class ResizableVerticalGroup extends VerticalGroup {
    protected Point size;

    public ResizableVerticalGroup(Point size){
        this.size = size;
    }

    @Override
    public float getPrefWidth() {
        return  size.x;
    }

    @Override
    public float getPrefHeight() {
        return size.y;
    }
}
