package cz.nic.tablexia.screen.gamemenu.actions;

import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.actions.TemporalAction;

import cz.nic.tablexia.screen.gamemenu.PagedScrollPane;

/**
 * Created by lhoracek on 11/4/15.
 */
public class ScrollHomeAction extends TemporalAction {
    private static final float DURATION = 7;
    private float startX;

    private PagedScrollPane getTargetPager(){
        return (PagedScrollPane) target;
    }

    protected void begin() {
        startX = getTargetPager().getScrollX();
    }

    protected void update(float percent) {
        getTargetPager().setScrollX(startX * (1 - percent));
    }

    public void reset() {
        super.reset();
    }

    public static ScrollHomeAction createInstace(){
        ScrollHomeAction action = Actions.action(ScrollHomeAction.class);
        action.setDuration(DURATION);
        return action;
    }
}
