package cz.nic.tablexia.screen.halloffame.assets;

/**
 * Created by Václav Tarantík on 2.3.15.
 */
public final class HallOfFameAssets {
    public static final String HALL_OF_FAME_ASSET_PREFIX    = "screen_halloffame_";

    public static final String HALL_OF_FAME_ASSET_TROPHYHEAP    = "trophyheap-";
    public static final String HALL_OF_FAME_TROPHY_PATH         = "trophy/";

    public static final String HALL_OF_FAME_BACKGROUND_TILE         = HALL_OF_FAME_ASSET_PREFIX + "background_tile";
    public static final String HALL_OF_FAME_DOOR                    = HALL_OF_FAME_ASSET_PREFIX + "background_start";
    public static final String HALL_OF_FAME_DOOR_TITLE              = HALL_OF_FAME_ASSET_PREFIX + "background_start_title";
    public static final String HALL_OF_FAME_DOOR_BUTTON_PRESSED     = HALL_OF_FAME_ASSET_PREFIX + "background_door_pressed";
    public static final String HALL_OF_FAME_DOOR_BUTTON_UNPRESSED   = HALL_OF_FAME_ASSET_PREFIX + "background_door_unpressed";
    public static final String HALL_OF_FAME_WALL                    = HALL_OF_FAME_ASSET_PREFIX + "wall";

    public static final String HALL_OF_FAME_MOUSE_CHEESE        = HALL_OF_FAME_ASSET_PREFIX + "mouse_cheese_pressed";
    public static final String HALL_OF_FAME_MOUSE_PRESSED       = HALL_OF_FAME_ASSET_PREFIX + "mouse_pressed";
    public static final String HALL_OF_FAME_MOUSE_UNPRESSED     = HALL_OF_FAME_ASSET_PREFIX + "mouse_unpressed";
    public static final String HALL_OF_FAME_CARPET              = HALL_OF_FAME_ASSET_PREFIX + "background_carpet";
    public static final String HALL_OF_FAME_DIALOG_BANNER       = HALL_OF_FAME_ASSET_PREFIX + "dialog_banner";
    public static final String HALL_OF_FAME_BADGE_BOARD         = HALL_OF_FAME_ASSET_PREFIX + "badgeboard";

    public static final String HALL_OF_FAME_TROPHY_HEAP_00 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "00";
    public static final String HALL_OF_FAME_TROPHY_HEAP_01 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "01";
    public static final String HALL_OF_FAME_TROPHY_HEAP_02 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "02";
    public static final String HALL_OF_FAME_TROPHY_HEAP_03 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "03";
    public static final String HALL_OF_FAME_TROPHY_HEAP_04 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "04";
    public static final String HALL_OF_FAME_TROPHY_HEAP_05 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "05";
    public static final String HALL_OF_FAME_TROPHY_HEAP_06 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "06";
    public static final String HALL_OF_FAME_TROPHY_HEAP_07 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "07";
    public static final String HALL_OF_FAME_TROPHY_HEAP_08 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "08";
    public static final String HALL_OF_FAME_TROPHY_HEAP_09 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "09";
    public static final String HALL_OF_FAME_TROPHY_HEAP_10 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "10";
    public static final String HALL_OF_FAME_TROPHY_HEAP_15 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "15";
    public static final String HALL_OF_FAME_TROPHY_HEAP_20 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "20";
    public static final String HALL_OF_FAME_TROPHY_HEAP_30 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "30";
    public static final String HALL_OF_FAME_TROPHY_HEAP_35 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "35";
    public static final String HALL_OF_FAME_TROPHY_HEAP_40 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "40";
    public static final String HALL_OF_FAME_TROPHY_HEAP_50 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "50";
    public static final String HALL_OF_FAME_TROPHY_HEAP_60 = HALL_OF_FAME_TROPHY_PATH + HALL_OF_FAME_ASSET_PREFIX + HALL_OF_FAME_ASSET_TROPHYHEAP + "60";

    public static final String TEXT_BADGE_CABINET_LIST     = "badge_cabinet_list";
    public static final String TEXT_BADGE_CABINET_LOCKED   = "badge_cabinet_locked";
}
