package cz.nic.tablexia.util.ui;

import com.badlogic.gdx.scenes.scene2d.InputEvent;
import com.badlogic.gdx.scenes.scene2d.utils.ClickListener;

import cz.nic.tablexia.loader.application.ApplicationInternalSoundManager;

/**
 * Created by frantisek on 18.11.15.
 */
public class ClickListenerWithSound extends ClickListener {

    @Override
    public void clicked (InputEvent event, float x, float y) {
        super.clicked(event, x, y);
        onClick(event, x, y);
        playButtonSound();
    }

    public void onClick(InputEvent event, float x, float y) { }

    protected void playButtonSound() {
        ApplicationInternalSoundManager.getInstance().getSound(ApplicationInternalSoundManager.BUTTON_CLICKED).play();
    }
}

