package cz.nic.tablexia.bus.event;

import java.util.ArrayList;
import java.util.List;

import cz.nic.tablexia.bus.ApplicationBus;
import cz.nic.tablexia.shared.model.User;
import cz.nic.tablexia.sync.RestSynchronizationService;

/**
 * Created by frantisek on 18.1.16.
 */
public class StartFullSynchronizationEvent implements ApplicationBus.ApplicationEvent {

    private List<User> users;

    public StartFullSynchronizationEvent(List<User> users) {
        this.users = users;
    }

    public StartFullSynchronizationEvent(User user) {
        users = new ArrayList<User>();
        users.add(user);
    }

    public RestSynchronizationService.SynchronizationType getType() {
        return RestSynchronizationService.SynchronizationType.FULL;
    }

    public List<User> getUsers() {
        return users;
    }
}
