package cz.nic.tablexia.game.games.kidnapping;

/**
 * Created by lhoracek on 5/15/15.
 */
public class Properties {

    public static final int TILE_BASE_WIDTH  = 528;
    public static final int TILE_BASE_HEIGHT = 264;

    public static final int ROAD_WIDTH  = 264;
    public static final int ROAD_HEIGHT = 132;

    public static final int GAME_STOPS = 5; // game always has +1 steps -> 5 = 6 stops

    public static final int MAP_WIDTH  = Math.max((3 * GAME_STOPS) + 2, 10);
    public static final int MAP_HEIGHT = Math.max((2 * GAME_STOPS) + 2, 5);

    private static final int[]   GAMERULES_CUPS_EASY   = {0, 1, 3};
    private static final int[]   GAMERULES_CUPS_MEDIUM = {0, 2, 4};
    private static final int[]   GAMERULES_CUPS_HARD   = GAMERULES_CUPS_MEDIUM;
    public static final  int[][] GAMERULE_CUPS         = {GAMERULES_CUPS_EASY, GAMERULES_CUPS_MEDIUM, GAMERULES_CUPS_HARD};

	public static final String LOADING_SOUND = "common/mfx/help/loading.mp3";

    static final String[] GAMERULE_HELP_SOUNDS = new String[]{"common/mfx/help/rulehelp_easy.mp3", "common/mfx/help/rulehelp_medium.mp3", "common/mfx/help/rulehelp_hard.mp3"};
    static final String[] RESULT_SOUNDS        = new String[]{"common/mfx/result/result_0.mp3", "common/mfx/result/result_1.mp3", "common/mfx/result/result_2.mp3", "common/mfx/result/result_3.mp3"};
    static final String[] RESULT_TEXT          = new String[]{"game_kidnapping_result_0", "game_kidnapping_result_1", "game_kidnapping_result_2", "game_kidnapping_result_3"};

    static final String RESULT_TEXT_SUMMARY = "game_kidnapping_stats";
}
