package cz.nic.tablexia.game.games.kidnapping.actions.fades;

import com.badlogic.gdx.scenes.scene2d.Action;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.actions.Actions;
import com.badlogic.gdx.scenes.scene2d.actions.SequenceAction;

/**
 * Created by lhoracek on 5/22/15.
 */
public class BlinkAction extends SequenceAction {

    Action in, out;

    public BlinkAction(Actor actor) {
        super();
        addAction(out = Actions.fadeOut(0.2f));
        addAction(in = Actions.fadeIn(0.2f));
        setTarget(actor);
    }

    @Override
    public void setTarget(Actor target) {
        for(Action a : getActions()){
            a.setTarget(target);
        }
        super.setTarget(target);
    }


}
