package cz.nic.tablexia.game.games.kidnapping.actions.fades;

import com.badlogic.gdx.scenes.scene2d.Actor;

import cz.nic.tablexia.game.games.kidnapping.actors.Map;

/**
 * Created by lhoracek on 5/19/15.
 */
public class ReplayAlphaAction extends SubActorFadeAction<Map> {

    @Override
    public Actor getTargetActor(Map map) {
        return map.getReplayButton();
    }

    public static ReplayAlphaAction fadeIn() {
        return getFade(ReplayAlphaAction.class, DEFAULT_DURATION, 1);
    }

    public static ReplayAlphaAction fadeOut() {
        return getFade(ReplayAlphaAction.class, DEFAULT_DURATION, 0);
    }

    @Override
    protected void begin() {
        super.begin();
    }

    @Override
    public void end() {
        super.end();
    }
}
