package cz.nic.tablexia.game.games.kidnapping.actions.fades;

import com.badlogic.gdx.scenes.scene2d.Actor;

import cz.nic.tablexia.game.games.kidnapping.actors.Map;
import cz.nic.tablexia.game.games.kidnapping.model.Position;

/**
 * Created by lhoracek on 5/19/15.
 */
public class ShowFlagAction extends SubActorFadeAction<Map> {
    Position position;

    public Position getPosition() {
        return position;
    }

    public void setPosition(Position position) {
        this.position = position;
    }

    @Override
    public Actor getTargetActor(Map map) {
        return map.getTile(position).getFlag();
    }


    public static ShowFlagAction fadeIn(Position position) {
        ShowFlagAction sfa = getFade(ShowFlagAction.class, DEFAULT_DURATION, 1);
        sfa.setPosition(position);
        return sfa;
    }
}
