package cz.nic.tablexia.game.games.night_watch.solution;

/**
 * Created by Vaclav Tarantik on 30.4.2015.
 */

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.Random;

public class PropertiesGenerator {
    private static final int            MIN_TIME = 1;
    private static final int            MAX_TIME = 11;

    public static List<Integer> getRandomWindowSequence(int windowsInRound,int sequenceSize,Random random) {
        List<Integer> possibleWindowNumbers = new ArrayList<Integer>();
        for (int i = 0; i < windowsInRound; i++) {
            possibleWindowNumbers.add(i);
        }
        //using random seed to shuffle sequence collection
        Collections.shuffle(possibleWindowNumbers,random);

        return possibleWindowNumbers.subList(0, sequenceSize);

    }

    public static int getRandomTime(Random r) {
        return r.nextInt((MAX_TIME - MIN_TIME) + 1) + MIN_TIME;
    }
}
