package cz.nic.tablexia.game.games.pursuit.model;

import cz.nic.tablexia.game.games.pursuit.assets.PursuitAssets;

/**
 * Created by Václav Tarantík on 10.8.15.
 */
public enum VehicleType {
    CAR(new cz.nic.tablexia.util.Point(29, 50)),
    MOTORCYCLE(new cz.nic.tablexia.util.Point(18,50)),
    TRAIN(new cz.nic.tablexia.util.Point(29, 70)),
    BOAT(new cz.nic.tablexia.util.Point(23, 60));

    private String textureName;
    private cz.nic.tablexia.util.Point vehicleSize;

    VehicleType(cz.nic.tablexia.util.Point vehicleSize) {
        textureName = PursuitAssets.VEHICLES_DIR + name().toLowerCase();
        this.vehicleSize = vehicleSize;
    }

    public String getTextureName() {
        return textureName;
    }

    public cz.nic.tablexia.util.Point getVehicleSize() {
        return vehicleSize;
    }
}
