package cz.nic.tablexia.menu;

import com.badlogic.gdx.scenes.scene2d.Group;

public interface IMenuItem {

	String 		getTitle();
	String 		getDescription();
	void 		performAction();
	Class<? extends Group> getItemGroupClass();
	AbstractMenu.MenuAction getMenuAction();
	IMenuItem[] getSubmenu();
	String[] 	getIcons();
}
