package cz.nic.tablexia.screen.createuser;

/**
 * Created by drahomir on 6/1/16.
 */
public class FormScreenAssets {
    public static final String GFX_PATH            = "gfx/";
    public static final String AVATAR_PATH         = GFX_PATH + "avatar/";

    public static final String TABLE                = GFX_PATH + "table";
    public static final String BACKGROUND           = GFX_PATH + "background";
    public static final String INKPAD               = GFX_PATH + "inkpad";
    public static final String MUGSHOT_FRAME        = GFX_PATH + "mugshotframe";
    public static final String TEXTFIELD_COVERNAME  = GFX_PATH + "textfield_covername";
    public static final String STAMP_PLACEHOLDER    = GFX_PATH + "stampplaceholder";
    public static final String TEXTFIELD_SIGNATURE  = GFX_PATH + "texfield_signature";
    public static final String INK                  = GFX_PATH + "ink";
    public static final String CLEAR                = GFX_PATH + "clear";
    public static final String SEX_FEMALE           = GFX_PATH + "sex_female";
    public static final String SEX_MALE             = GFX_PATH + "sex_male";

    public static final String BUTTON_MINUS         = GFX_PATH + "button_minus";
    public static final String BUTTON_PLUS          = GFX_PATH + "button_plus";
    public static final String BUTTON_MINUS_PRESSED = GFX_PATH + "button_minus_pressed";
    public static final String BUTTON_PLUS_PRESSED  = GFX_PATH + "button_plus_pressed";

    public static final String SWITCH_BACKGROUND    = GFX_PATH + "switch_background";
    public static final String SWITCH_LEFT          = GFX_PATH + "switch_left";
    public static final String SWITCH_CENTER        = GFX_PATH + "switch_center";
    public static final String SWITCH_RIGHT         = GFX_PATH + "switch_right";

    public static final String PENCIL_DROPPED       = GFX_PATH + "pencil_dropped";
    public static final String STAMP_LEFT_DROPPED   = GFX_PATH + "stamp_left_dropped";

    public static final String STAMP                = GFX_PATH + "stamp";

    public static final String FILM_OUTERLINE       = AVATAR_PATH + "film_outerline";
    public static final String FILM_INSIDE          = AVATAR_PATH + "film_inside";

    ///// TEXT ASSET KEYS
    public static final String TEXT_FORM_CANCEL     = "createuser_form_cancel";
    public static final String TEXT_FORM_SIGN       = "createuser_form_sign";
    public static final String TEXT_FORM_AGE        = "createuser_form_age";
    public static final String TEXT_FORM_GENDER     = "createuser_form_gender";
    public static final String TEXT_FORM_SIGNATURE  = "createuser_form_signature";


    ///// MUSIC ASSETS
    public static final String MFX_PATH             = "mfx/";

    public static final String VALIDATION_MUGSHOT_SOUND   = MFX_PATH + "profil_foto.mp3";
    public static final String VALIDATION_USERNAME_SOUND  = MFX_PATH + "profil_jmeno.mp3";
    public static final String VALIDATION_SIGNATURE_SOUND = MFX_PATH + "profil_podpis_pero.mp3";
    public static final String VALIDATION_GENDER_SOUND    = MFX_PATH + "profil_klukholka.mp3";
    public static final String VALIDATION_AGE_SOUND       = MFX_PATH + "profil_vek.mp3";
    public static final String VALIDATION_STAMP_SOUND     = MFX_PATH + "profil_razitko.mp3";

}
