package cz.nic.tablexia.screen.encyclopedia;

import cz.nic.tablexia.loader.application.ApplicationFontManager;

/**
 * Created by vitaliy on 23.12.15.
 */
public enum EncyclopediaFont {
    SMALL_REGULAR(ApplicationFontManager.FontType_NEW.REGULAR_18),
    DEFAULT_REGULAR(ApplicationFontManager.FontType_NEW.REGULAR_20),
    LARGE_REGULAR(ApplicationFontManager.FontType_NEW.REGULAR_26),

    SMALL_BOLD(ApplicationFontManager.FontType_NEW.BOLD_18),
    DEFAULT_BOLD(ApplicationFontManager.FontType_NEW.BOLD_20),
    LARGE_BOLD(ApplicationFontManager.FontType_NEW.BOLD_26),

    SMALL_HEADER(ApplicationFontManager.FontType_NEW.BOLD_20),
    DEFAULT_HEADER(ApplicationFontManager.FontType_NEW.BOLD_26),
    LARGE_HEADER(ApplicationFontManager.FontType_NEW.BOLD_30);

    private ApplicationFontManager.FontType_NEW fontType;

    EncyclopediaFont(ApplicationFontManager.FontType_NEW fontType) {
        this.fontType = fontType;
    }

    public ApplicationFontManager.FontType_NEW getFontType() {
        return fontType;
    }

    public EncyclopediaFont getSmaller() {
        int index = ordinal();
        if (index!=0&&index!=3 && index!=6){
            index--;
        }
        return values()[index];
    }

    public EncyclopediaFont getLarger(){
        int index = ordinal();
        if (index!=2&&index!=5&&index!=8){
            index++;
        }
        return values()[index];
    }
}
